/**
 */
package PMIF;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Open Workload</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link PMIF.OpenWorkload#getArrivalDistr <em>Arrival Distr</em>}</li>
 *   <li>{@link PMIF.OpenWorkload#getArrivalParams <em>Arrival Params</em>}</li>
 *   <li>{@link PMIF.OpenWorkload#getArrivesAt <em>Arrives At</em>}</li>
 *   <li>{@link PMIF.OpenWorkload#getDepartsAt <em>Departs At</em>}</li>
 *   <li>{@link PMIF.OpenWorkload#getTransitTo <em>Transit To</em>}</li>
 *   <li>{@link PMIF.OpenWorkload#getTransitProbs <em>Transit Probs</em>}</li>
 * </ul>
 * </p>
 *
 * @see PMIF.PMIFPackage#getOpenWorkload()
 * @model
 * @generated
 */
public interface OpenWorkload extends Workload {
	/**
	 * Returns the value of the '<em><b>Arrival Distr</b></em>' attribute.
	 * The literals are from the enumeration {@link PMIF.ProbDistributions}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Arrival Distr</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Arrival Distr</em>' attribute.
	 * @see PMIF.ProbDistributions
	 * @see #setArrivalDistr(ProbDistributions)
	 * @see PMIF.PMIFPackage#getOpenWorkload_ArrivalDistr()
	 * @model required="true"
	 * @generated
	 */
	ProbDistributions getArrivalDistr();

	/**
	 * Sets the value of the '{@link PMIF.OpenWorkload#getArrivalDistr <em>Arrival Distr</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Arrival Distr</em>' attribute.
	 * @see PMIF.ProbDistributions
	 * @see #getArrivalDistr()
	 * @generated
	 */
	void setArrivalDistr(ProbDistributions value);

	/**
	 * Returns the value of the '<em><b>Arrival Params</b></em>' attribute list.
	 * The list contents are of type {@link java.lang.Double}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Arrival Params</em>' attribute list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Arrival Params</em>' attribute list.
	 * @see PMIF.PMIFPackage#getOpenWorkload_ArrivalParams()
	 * @model unique="false" required="true" upper="10"
	 * @generated
	 */
	EList<Double> getArrivalParams();

	/**
	 * Returns the value of the '<em><b>Arrives At</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Arrives At</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Arrives At</em>' reference.
	 * @see #setArrivesAt(SourceNode)
	 * @see PMIF.PMIFPackage#getOpenWorkload_ArrivesAt()
	 * @model required="true"
	 * @generated
	 */
	SourceNode getArrivesAt();

	/**
	 * Sets the value of the '{@link PMIF.OpenWorkload#getArrivesAt <em>Arrives At</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Arrives At</em>' reference.
	 * @see #getArrivesAt()
	 * @generated
	 */
	void setArrivesAt(SourceNode value);

	/**
	 * Returns the value of the '<em><b>Departs At</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Departs At</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Departs At</em>' reference.
	 * @see #setDepartsAt(SinkNode)
	 * @see PMIF.PMIFPackage#getOpenWorkload_DepartsAt()
	 * @model required="true"
	 * @generated
	 */
	SinkNode getDepartsAt();

	/**
	 * Sets the value of the '{@link PMIF.OpenWorkload#getDepartsAt <em>Departs At</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Departs At</em>' reference.
	 * @see #getDepartsAt()
	 * @generated
	 */
	void setDepartsAt(SinkNode value);

	/**
	 * Returns the value of the '<em><b>Transit To</b></em>' attribute list.
	 * The list contents are of type {@link java.lang.String}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Transit To</em>' attribute list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Transit To</em>' attribute list.
	 * @see PMIF.PMIFPackage#getOpenWorkload_TransitTo()
	 * @model required="true" upper="1000"
	 * @generated
	 */
	EList<String> getTransitTo();

	/**
	 * Returns the value of the '<em><b>Transit Probs</b></em>' attribute list.
	 * The list contents are of type {@link java.lang.Double}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Transit Probs</em>' attribute list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Transit Probs</em>' attribute list.
	 * @see PMIF.PMIFPackage#getOpenWorkload_TransitProbs()
	 * @model required="true" upper="1000"
	 * @generated
	 */
	EList<Double> getTransitProbs();

} // OpenWorkload
