/**
 */
package PMIF;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see PMIF.PMIFFactory
 * @model kind="package"
 * @generated
 */
public interface PMIFPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "PMIF";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://PMIF/1.0";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "PMIF";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	PMIFPackage eINSTANCE = PMIF.impl.PMIFPackageImpl.init();

	/**
	 * The meta object id for the '{@link PMIF.impl.QueuingNetworkModelImpl <em>Queuing Network Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see PMIF.impl.QueuingNetworkModelImpl
	 * @see PMIF.impl.PMIFPackageImpl#getQueuingNetworkModel()
	 * @generated
	 */
	int QUEUING_NETWORK_MODEL = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int QUEUING_NETWORK_MODEL__NAME = 0;

	/**
	 * The feature id for the '<em><b>Wls</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int QUEUING_NETWORK_MODEL__WLS = 1;

	/**
	 * The feature id for the '<em><b>Nds</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int QUEUING_NETWORK_MODEL__NDS = 2;

	/**
	 * The feature id for the '<em><b>Description</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int QUEUING_NETWORK_MODEL__DESCRIPTION = 3;

	/**
	 * The feature id for the '<em><b>Date Time</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int QUEUING_NETWORK_MODEL__DATE_TIME = 4;

	/**
	 * The feature id for the '<em><b>Srv Rqsts</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int QUEUING_NETWORK_MODEL__SRV_RQSTS = 5;

	/**
	 * The feature id for the '<em><b>Arc</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int QUEUING_NETWORK_MODEL__ARC = 6;

	/**
	 * The number of structural features of the '<em>Queuing Network Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int QUEUING_NETWORK_MODEL_FEATURE_COUNT = 7;

	/**
	 * The meta object id for the '{@link PMIF.impl.WorkloadImpl <em>Workload</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see PMIF.impl.WorkloadImpl
	 * @see PMIF.impl.PMIFPackageImpl#getWorkload()
	 * @generated
	 */
	int WORKLOAD = 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORKLOAD__NAME = 0;

	/**
	 * The feature id for the '<em><b>Time Units</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORKLOAD__TIME_UNITS = 1;

	/**
	 * The number of structural features of the '<em>Workload</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORKLOAD_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link PMIF.impl.OpenWorkloadImpl <em>Open Workload</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see PMIF.impl.OpenWorkloadImpl
	 * @see PMIF.impl.PMIFPackageImpl#getOpenWorkload()
	 * @generated
	 */
	int OPEN_WORKLOAD = 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPEN_WORKLOAD__NAME = WORKLOAD__NAME;

	/**
	 * The feature id for the '<em><b>Time Units</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPEN_WORKLOAD__TIME_UNITS = WORKLOAD__TIME_UNITS;

	/**
	 * The feature id for the '<em><b>Arrival Distr</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPEN_WORKLOAD__ARRIVAL_DISTR = WORKLOAD_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Arrival Params</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPEN_WORKLOAD__ARRIVAL_PARAMS = WORKLOAD_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Arrives At</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPEN_WORKLOAD__ARRIVES_AT = WORKLOAD_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Departs At</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPEN_WORKLOAD__DEPARTS_AT = WORKLOAD_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Transit To</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPEN_WORKLOAD__TRANSIT_TO = WORKLOAD_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Transit Probs</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPEN_WORKLOAD__TRANSIT_PROBS = WORKLOAD_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Open Workload</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OPEN_WORKLOAD_FEATURE_COUNT = WORKLOAD_FEATURE_COUNT + 6;

	/**
	 * The meta object id for the '{@link PMIF.impl.ClosedWorkloadImpl <em>Closed Workload</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see PMIF.impl.ClosedWorkloadImpl
	 * @see PMIF.impl.PMIFPackageImpl#getClosedWorkload()
	 * @generated
	 */
	int CLOSED_WORKLOAD = 3;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOSED_WORKLOAD__NAME = WORKLOAD__NAME;

	/**
	 * The feature id for the '<em><b>Time Units</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOSED_WORKLOAD__TIME_UNITS = WORKLOAD__TIME_UNITS;

	/**
	 * The feature id for the '<em><b>Jobs Number</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOSED_WORKLOAD__JOBS_NUMBER = WORKLOAD_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Think Distr</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOSED_WORKLOAD__THINK_DISTR = WORKLOAD_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Think Device</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOSED_WORKLOAD__THINK_DEVICE = WORKLOAD_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Think Params</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOSED_WORKLOAD__THINK_PARAMS = WORKLOAD_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Transit To</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOSED_WORKLOAD__TRANSIT_TO = WORKLOAD_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Transit Probs</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOSED_WORKLOAD__TRANSIT_PROBS = WORKLOAD_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Central Srv</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOSED_WORKLOAD__CENTRAL_SRV = WORKLOAD_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Closed Workload</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CLOSED_WORKLOAD_FEATURE_COUNT = WORKLOAD_FEATURE_COUNT + 7;

	/**
	 * The meta object id for the '{@link PMIF.impl.NodeImpl <em>Node</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see PMIF.impl.NodeImpl
	 * @see PMIF.impl.PMIFPackageImpl#getNode()
	 * @generated
	 */
	int NODE = 6;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NODE__NAME = 0;

	/**
	 * The number of structural features of the '<em>Node</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NODE_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link PMIF.impl.NonServerNodeImpl <em>Non Server Node</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see PMIF.impl.NonServerNodeImpl
	 * @see PMIF.impl.PMIFPackageImpl#getNonServerNode()
	 * @generated
	 */
	int NON_SERVER_NODE = 9;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NON_SERVER_NODE__NAME = NODE__NAME;

	/**
	 * The number of structural features of the '<em>Non Server Node</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int NON_SERVER_NODE_FEATURE_COUNT = NODE_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link PMIF.impl.SinkNodeImpl <em>Sink Node</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see PMIF.impl.SinkNodeImpl
	 * @see PMIF.impl.PMIFPackageImpl#getSinkNode()
	 * @generated
	 */
	int SINK_NODE = 4;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINK_NODE__NAME = NON_SERVER_NODE__NAME;

	/**
	 * The number of structural features of the '<em>Sink Node</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SINK_NODE_FEATURE_COUNT = NON_SERVER_NODE_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link PMIF.impl.SourceNodeImpl <em>Source Node</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see PMIF.impl.SourceNodeImpl
	 * @see PMIF.impl.PMIFPackageImpl#getSourceNode()
	 * @generated
	 */
	int SOURCE_NODE = 5;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOURCE_NODE__NAME = NON_SERVER_NODE__NAME;

	/**
	 * The number of structural features of the '<em>Source Node</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOURCE_NODE_FEATURE_COUNT = NON_SERVER_NODE_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link PMIF.impl.ServerImpl <em>Server</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see PMIF.impl.ServerImpl
	 * @see PMIF.impl.PMIFPackageImpl#getServer()
	 * @generated
	 */
	int SERVER = 7;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVER__NAME = NODE__NAME;

	/**
	 * The feature id for the '<em><b>Quantity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVER__QUANTITY = NODE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Sched Pol</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVER__SCHED_POL = NODE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Server</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVER_FEATURE_COUNT = NODE_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link PMIF.impl.WorkUnitServerImpl <em>Work Unit Server</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see PMIF.impl.WorkUnitServerImpl
	 * @see PMIF.impl.PMIFPackageImpl#getWorkUnitServer()
	 * @generated
	 */
	int WORK_UNIT_SERVER = 8;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORK_UNIT_SERVER__NAME = SERVER__NAME;

	/**
	 * The feature id for the '<em><b>Quantity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORK_UNIT_SERVER__QUANTITY = SERVER__QUANTITY;

	/**
	 * The feature id for the '<em><b>Sched Pol</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORK_UNIT_SERVER__SCHED_POL = SERVER__SCHED_POL;

	/**
	 * The feature id for the '<em><b>Service Distr</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORK_UNIT_SERVER__SERVICE_DISTR = SERVER_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Service Params</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORK_UNIT_SERVER__SERVICE_PARAMS = SERVER_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Time Units</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORK_UNIT_SERVER__TIME_UNITS = SERVER_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Work Unit Server</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORK_UNIT_SERVER_FEATURE_COUNT = SERVER_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link PMIF.impl.ServiceRequestImpl <em>Service Request</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see PMIF.impl.ServiceRequestImpl
	 * @see PMIF.impl.PMIFPackageImpl#getServiceRequest()
	 * @generated
	 */
	int SERVICE_REQUEST = 10;

	/**
	 * The feature id for the '<em><b>Number Of Visits</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_REQUEST__NUMBER_OF_VISITS = 0;

	/**
	 * The feature id for the '<em><b>Srv</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_REQUEST__SRV = 1;

	/**
	 * The feature id for the '<em><b>Wld</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_REQUEST__WLD = 2;

	/**
	 * The feature id for the '<em><b>Transit To</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_REQUEST__TRANSIT_TO = 3;

	/**
	 * The feature id for the '<em><b>Transit Probs</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_REQUEST__TRANSIT_PROBS = 4;

	/**
	 * The number of structural features of the '<em>Service Request</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_REQUEST_FEATURE_COUNT = 5;

	/**
	 * The meta object id for the '{@link PMIF.impl.WorkUnitSRImpl <em>Work Unit SR</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see PMIF.impl.WorkUnitSRImpl
	 * @see PMIF.impl.PMIFPackageImpl#getWorkUnitSR()
	 * @generated
	 */
	int WORK_UNIT_SR = 11;

	/**
	 * The feature id for the '<em><b>Number Of Visits</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORK_UNIT_SR__NUMBER_OF_VISITS = SERVICE_REQUEST__NUMBER_OF_VISITS;

	/**
	 * The feature id for the '<em><b>Srv</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORK_UNIT_SR__SRV = SERVICE_REQUEST__SRV;

	/**
	 * The feature id for the '<em><b>Wld</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORK_UNIT_SR__WLD = SERVICE_REQUEST__WLD;

	/**
	 * The feature id for the '<em><b>Transit To</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORK_UNIT_SR__TRANSIT_TO = SERVICE_REQUEST__TRANSIT_TO;

	/**
	 * The feature id for the '<em><b>Transit Probs</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORK_UNIT_SR__TRANSIT_PROBS = SERVICE_REQUEST__TRANSIT_PROBS;

	/**
	 * The number of structural features of the '<em>Work Unit SR</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int WORK_UNIT_SR_FEATURE_COUNT = SERVICE_REQUEST_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link PMIF.impl.TimeSRImpl <em>Time SR</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see PMIF.impl.TimeSRImpl
	 * @see PMIF.impl.PMIFPackageImpl#getTimeSR()
	 * @generated
	 */
	int TIME_SR = 12;

	/**
	 * The feature id for the '<em><b>Number Of Visits</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_SR__NUMBER_OF_VISITS = SERVICE_REQUEST__NUMBER_OF_VISITS;

	/**
	 * The feature id for the '<em><b>Srv</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_SR__SRV = SERVICE_REQUEST__SRV;

	/**
	 * The feature id for the '<em><b>Wld</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_SR__WLD = SERVICE_REQUEST__WLD;

	/**
	 * The feature id for the '<em><b>Transit To</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_SR__TRANSIT_TO = SERVICE_REQUEST__TRANSIT_TO;

	/**
	 * The feature id for the '<em><b>Transit Probs</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_SR__TRANSIT_PROBS = SERVICE_REQUEST__TRANSIT_PROBS;

	/**
	 * The feature id for the '<em><b>Service Distr</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_SR__SERVICE_DISTR = SERVICE_REQUEST_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Service Params</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_SR__SERVICE_PARAMS = SERVICE_REQUEST_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Time Units</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_SR__TIME_UNITS = SERVICE_REQUEST_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Time SR</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TIME_SR_FEATURE_COUNT = SERVICE_REQUEST_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link PMIF.impl.DemandSRImpl <em>Demand SR</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see PMIF.impl.DemandSRImpl
	 * @see PMIF.impl.PMIFPackageImpl#getDemandSR()
	 * @generated
	 */
	int DEMAND_SR = 13;

	/**
	 * The feature id for the '<em><b>Number Of Visits</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEMAND_SR__NUMBER_OF_VISITS = SERVICE_REQUEST__NUMBER_OF_VISITS;

	/**
	 * The feature id for the '<em><b>Srv</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEMAND_SR__SRV = SERVICE_REQUEST__SRV;

	/**
	 * The feature id for the '<em><b>Wld</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEMAND_SR__WLD = SERVICE_REQUEST__WLD;

	/**
	 * The feature id for the '<em><b>Transit To</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEMAND_SR__TRANSIT_TO = SERVICE_REQUEST__TRANSIT_TO;

	/**
	 * The feature id for the '<em><b>Transit Probs</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEMAND_SR__TRANSIT_PROBS = SERVICE_REQUEST__TRANSIT_PROBS;

	/**
	 * The feature id for the '<em><b>Service Demand</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEMAND_SR__SERVICE_DEMAND = SERVICE_REQUEST_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Time Units</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEMAND_SR__TIME_UNITS = SERVICE_REQUEST_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Demand SR</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEMAND_SR_FEATURE_COUNT = SERVICE_REQUEST_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link PMIF.impl.ArcImpl <em>Arc</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see PMIF.impl.ArcImpl
	 * @see PMIF.impl.PMIFPackageImpl#getArc()
	 * @generated
	 */
	int ARC = 14;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARC__SOURCE = 0;

	/**
	 * The feature id for the '<em><b>Target</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARC__TARGET = 1;

	/**
	 * The number of structural features of the '<em>Arc</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ARC_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link PMIF.SchedulingPolicy <em>Scheduling Policy</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see PMIF.SchedulingPolicy
	 * @see PMIF.impl.PMIFPackageImpl#getSchedulingPolicy()
	 * @generated
	 */
	int SCHEDULING_POLICY = 15;

	/**
	 * The meta object id for the '{@link PMIF.TimeUnits <em>Time Units</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see PMIF.TimeUnits
	 * @see PMIF.impl.PMIFPackageImpl#getTimeUnits()
	 * @generated
	 */
	int TIME_UNITS = 16;

	/**
	 * The meta object id for the '{@link PMIF.ProbDistributions <em>Prob Distributions</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see PMIF.ProbDistributions
	 * @see PMIF.impl.PMIFPackageImpl#getProbDistributions()
	 * @generated
	 */
	int PROB_DISTRIBUTIONS = 17;


	/**
	 * Returns the meta object for class '{@link PMIF.QueuingNetworkModel <em>Queuing Network Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Queuing Network Model</em>'.
	 * @see PMIF.QueuingNetworkModel
	 * @generated
	 */
	EClass getQueuingNetworkModel();

	/**
	 * Returns the meta object for the attribute '{@link PMIF.QueuingNetworkModel#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see PMIF.QueuingNetworkModel#getName()
	 * @see #getQueuingNetworkModel()
	 * @generated
	 */
	EAttribute getQueuingNetworkModel_Name();

	/**
	 * Returns the meta object for the containment reference list '{@link PMIF.QueuingNetworkModel#getWls <em>Wls</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Wls</em>'.
	 * @see PMIF.QueuingNetworkModel#getWls()
	 * @see #getQueuingNetworkModel()
	 * @generated
	 */
	EReference getQueuingNetworkModel_Wls();

	/**
	 * Returns the meta object for the containment reference list '{@link PMIF.QueuingNetworkModel#getNds <em>Nds</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Nds</em>'.
	 * @see PMIF.QueuingNetworkModel#getNds()
	 * @see #getQueuingNetworkModel()
	 * @generated
	 */
	EReference getQueuingNetworkModel_Nds();

	/**
	 * Returns the meta object for the attribute '{@link PMIF.QueuingNetworkModel#getDescription <em>Description</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Description</em>'.
	 * @see PMIF.QueuingNetworkModel#getDescription()
	 * @see #getQueuingNetworkModel()
	 * @generated
	 */
	EAttribute getQueuingNetworkModel_Description();

	/**
	 * Returns the meta object for the attribute '{@link PMIF.QueuingNetworkModel#getDateTime <em>Date Time</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Date Time</em>'.
	 * @see PMIF.QueuingNetworkModel#getDateTime()
	 * @see #getQueuingNetworkModel()
	 * @generated
	 */
	EAttribute getQueuingNetworkModel_DateTime();

	/**
	 * Returns the meta object for the containment reference list '{@link PMIF.QueuingNetworkModel#getSrvRqsts <em>Srv Rqsts</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Srv Rqsts</em>'.
	 * @see PMIF.QueuingNetworkModel#getSrvRqsts()
	 * @see #getQueuingNetworkModel()
	 * @generated
	 */
	EReference getQueuingNetworkModel_SrvRqsts();

	/**
	 * Returns the meta object for the containment reference list '{@link PMIF.QueuingNetworkModel#getArc <em>Arc</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Arc</em>'.
	 * @see PMIF.QueuingNetworkModel#getArc()
	 * @see #getQueuingNetworkModel()
	 * @generated
	 */
	EReference getQueuingNetworkModel_Arc();

	/**
	 * Returns the meta object for class '{@link PMIF.Workload <em>Workload</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Workload</em>'.
	 * @see PMIF.Workload
	 * @generated
	 */
	EClass getWorkload();

	/**
	 * Returns the meta object for the attribute '{@link PMIF.Workload#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see PMIF.Workload#getName()
	 * @see #getWorkload()
	 * @generated
	 */
	EAttribute getWorkload_Name();

	/**
	 * Returns the meta object for the attribute '{@link PMIF.Workload#getTimeUnits <em>Time Units</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Time Units</em>'.
	 * @see PMIF.Workload#getTimeUnits()
	 * @see #getWorkload()
	 * @generated
	 */
	EAttribute getWorkload_TimeUnits();

	/**
	 * Returns the meta object for class '{@link PMIF.OpenWorkload <em>Open Workload</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Open Workload</em>'.
	 * @see PMIF.OpenWorkload
	 * @generated
	 */
	EClass getOpenWorkload();

	/**
	 * Returns the meta object for the attribute '{@link PMIF.OpenWorkload#getArrivalDistr <em>Arrival Distr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Arrival Distr</em>'.
	 * @see PMIF.OpenWorkload#getArrivalDistr()
	 * @see #getOpenWorkload()
	 * @generated
	 */
	EAttribute getOpenWorkload_ArrivalDistr();

	/**
	 * Returns the meta object for the attribute list '{@link PMIF.OpenWorkload#getArrivalParams <em>Arrival Params</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Arrival Params</em>'.
	 * @see PMIF.OpenWorkload#getArrivalParams()
	 * @see #getOpenWorkload()
	 * @generated
	 */
	EAttribute getOpenWorkload_ArrivalParams();

	/**
	 * Returns the meta object for the reference '{@link PMIF.OpenWorkload#getArrivesAt <em>Arrives At</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Arrives At</em>'.
	 * @see PMIF.OpenWorkload#getArrivesAt()
	 * @see #getOpenWorkload()
	 * @generated
	 */
	EReference getOpenWorkload_ArrivesAt();

	/**
	 * Returns the meta object for the reference '{@link PMIF.OpenWorkload#getDepartsAt <em>Departs At</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Departs At</em>'.
	 * @see PMIF.OpenWorkload#getDepartsAt()
	 * @see #getOpenWorkload()
	 * @generated
	 */
	EReference getOpenWorkload_DepartsAt();

	/**
	 * Returns the meta object for the attribute list '{@link PMIF.OpenWorkload#getTransitTo <em>Transit To</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Transit To</em>'.
	 * @see PMIF.OpenWorkload#getTransitTo()
	 * @see #getOpenWorkload()
	 * @generated
	 */
	EAttribute getOpenWorkload_TransitTo();

	/**
	 * Returns the meta object for the attribute list '{@link PMIF.OpenWorkload#getTransitProbs <em>Transit Probs</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Transit Probs</em>'.
	 * @see PMIF.OpenWorkload#getTransitProbs()
	 * @see #getOpenWorkload()
	 * @generated
	 */
	EAttribute getOpenWorkload_TransitProbs();

	/**
	 * Returns the meta object for class '{@link PMIF.ClosedWorkload <em>Closed Workload</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Closed Workload</em>'.
	 * @see PMIF.ClosedWorkload
	 * @generated
	 */
	EClass getClosedWorkload();

	/**
	 * Returns the meta object for the attribute '{@link PMIF.ClosedWorkload#getJobsNumber <em>Jobs Number</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Jobs Number</em>'.
	 * @see PMIF.ClosedWorkload#getJobsNumber()
	 * @see #getClosedWorkload()
	 * @generated
	 */
	EAttribute getClosedWorkload_JobsNumber();

	/**
	 * Returns the meta object for the attribute '{@link PMIF.ClosedWorkload#getThinkDistr <em>Think Distr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Think Distr</em>'.
	 * @see PMIF.ClosedWorkload#getThinkDistr()
	 * @see #getClosedWorkload()
	 * @generated
	 */
	EAttribute getClosedWorkload_ThinkDistr();

	/**
	 * Returns the meta object for the reference '{@link PMIF.ClosedWorkload#getThinkDevice <em>Think Device</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Think Device</em>'.
	 * @see PMIF.ClosedWorkload#getThinkDevice()
	 * @see #getClosedWorkload()
	 * @generated
	 */
	EReference getClosedWorkload_ThinkDevice();

	/**
	 * Returns the meta object for the attribute list '{@link PMIF.ClosedWorkload#getThinkParams <em>Think Params</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Think Params</em>'.
	 * @see PMIF.ClosedWorkload#getThinkParams()
	 * @see #getClosedWorkload()
	 * @generated
	 */
	EAttribute getClosedWorkload_ThinkParams();

	/**
	 * Returns the meta object for the attribute list '{@link PMIF.ClosedWorkload#getTransitTo <em>Transit To</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Transit To</em>'.
	 * @see PMIF.ClosedWorkload#getTransitTo()
	 * @see #getClosedWorkload()
	 * @generated
	 */
	EAttribute getClosedWorkload_TransitTo();

	/**
	 * Returns the meta object for the attribute list '{@link PMIF.ClosedWorkload#getTransitProbs <em>Transit Probs</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Transit Probs</em>'.
	 * @see PMIF.ClosedWorkload#getTransitProbs()
	 * @see #getClosedWorkload()
	 * @generated
	 */
	EAttribute getClosedWorkload_TransitProbs();

	/**
	 * Returns the meta object for the reference '{@link PMIF.ClosedWorkload#getCentralSrv <em>Central Srv</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Central Srv</em>'.
	 * @see PMIF.ClosedWorkload#getCentralSrv()
	 * @see #getClosedWorkload()
	 * @generated
	 */
	EReference getClosedWorkload_CentralSrv();

	/**
	 * Returns the meta object for class '{@link PMIF.SinkNode <em>Sink Node</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Sink Node</em>'.
	 * @see PMIF.SinkNode
	 * @generated
	 */
	EClass getSinkNode();

	/**
	 * Returns the meta object for class '{@link PMIF.SourceNode <em>Source Node</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Source Node</em>'.
	 * @see PMIF.SourceNode
	 * @generated
	 */
	EClass getSourceNode();

	/**
	 * Returns the meta object for class '{@link PMIF.Node <em>Node</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Node</em>'.
	 * @see PMIF.Node
	 * @generated
	 */
	EClass getNode();

	/**
	 * Returns the meta object for the attribute '{@link PMIF.Node#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see PMIF.Node#getName()
	 * @see #getNode()
	 * @generated
	 */
	EAttribute getNode_Name();

	/**
	 * Returns the meta object for class '{@link PMIF.Server <em>Server</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Server</em>'.
	 * @see PMIF.Server
	 * @generated
	 */
	EClass getServer();

	/**
	 * Returns the meta object for the attribute '{@link PMIF.Server#getQuantity <em>Quantity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Quantity</em>'.
	 * @see PMIF.Server#getQuantity()
	 * @see #getServer()
	 * @generated
	 */
	EAttribute getServer_Quantity();

	/**
	 * Returns the meta object for the attribute '{@link PMIF.Server#getSchedPol <em>Sched Pol</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Sched Pol</em>'.
	 * @see PMIF.Server#getSchedPol()
	 * @see #getServer()
	 * @generated
	 */
	EAttribute getServer_SchedPol();

	/**
	 * Returns the meta object for class '{@link PMIF.WorkUnitServer <em>Work Unit Server</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Work Unit Server</em>'.
	 * @see PMIF.WorkUnitServer
	 * @generated
	 */
	EClass getWorkUnitServer();

	/**
	 * Returns the meta object for the attribute '{@link PMIF.WorkUnitServer#getServiceDistr <em>Service Distr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Service Distr</em>'.
	 * @see PMIF.WorkUnitServer#getServiceDistr()
	 * @see #getWorkUnitServer()
	 * @generated
	 */
	EAttribute getWorkUnitServer_ServiceDistr();

	/**
	 * Returns the meta object for the attribute list '{@link PMIF.WorkUnitServer#getServiceParams <em>Service Params</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Service Params</em>'.
	 * @see PMIF.WorkUnitServer#getServiceParams()
	 * @see #getWorkUnitServer()
	 * @generated
	 */
	EAttribute getWorkUnitServer_ServiceParams();

	/**
	 * Returns the meta object for the attribute '{@link PMIF.WorkUnitServer#getTimeUnits <em>Time Units</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Time Units</em>'.
	 * @see PMIF.WorkUnitServer#getTimeUnits()
	 * @see #getWorkUnitServer()
	 * @generated
	 */
	EAttribute getWorkUnitServer_TimeUnits();

	/**
	 * Returns the meta object for class '{@link PMIF.NonServerNode <em>Non Server Node</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Non Server Node</em>'.
	 * @see PMIF.NonServerNode
	 * @generated
	 */
	EClass getNonServerNode();

	/**
	 * Returns the meta object for class '{@link PMIF.ServiceRequest <em>Service Request</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Service Request</em>'.
	 * @see PMIF.ServiceRequest
	 * @generated
	 */
	EClass getServiceRequest();

	/**
	 * Returns the meta object for the attribute '{@link PMIF.ServiceRequest#getNumberOfVisits <em>Number Of Visits</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Number Of Visits</em>'.
	 * @see PMIF.ServiceRequest#getNumberOfVisits()
	 * @see #getServiceRequest()
	 * @generated
	 */
	EAttribute getServiceRequest_NumberOfVisits();

	/**
	 * Returns the meta object for the reference '{@link PMIF.ServiceRequest#getSrv <em>Srv</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Srv</em>'.
	 * @see PMIF.ServiceRequest#getSrv()
	 * @see #getServiceRequest()
	 * @generated
	 */
	EReference getServiceRequest_Srv();

	/**
	 * Returns the meta object for the reference '{@link PMIF.ServiceRequest#getWld <em>Wld</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Wld</em>'.
	 * @see PMIF.ServiceRequest#getWld()
	 * @see #getServiceRequest()
	 * @generated
	 */
	EReference getServiceRequest_Wld();

	/**
	 * Returns the meta object for the attribute list '{@link PMIF.ServiceRequest#getTransitTo <em>Transit To</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Transit To</em>'.
	 * @see PMIF.ServiceRequest#getTransitTo()
	 * @see #getServiceRequest()
	 * @generated
	 */
	EAttribute getServiceRequest_TransitTo();

	/**
	 * Returns the meta object for the attribute list '{@link PMIF.ServiceRequest#getTransitProbs <em>Transit Probs</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Transit Probs</em>'.
	 * @see PMIF.ServiceRequest#getTransitProbs()
	 * @see #getServiceRequest()
	 * @generated
	 */
	EAttribute getServiceRequest_TransitProbs();

	/**
	 * Returns the meta object for class '{@link PMIF.WorkUnitSR <em>Work Unit SR</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Work Unit SR</em>'.
	 * @see PMIF.WorkUnitSR
	 * @generated
	 */
	EClass getWorkUnitSR();

	/**
	 * Returns the meta object for class '{@link PMIF.TimeSR <em>Time SR</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Time SR</em>'.
	 * @see PMIF.TimeSR
	 * @generated
	 */
	EClass getTimeSR();

	/**
	 * Returns the meta object for the attribute '{@link PMIF.TimeSR#getServiceDistr <em>Service Distr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Service Distr</em>'.
	 * @see PMIF.TimeSR#getServiceDistr()
	 * @see #getTimeSR()
	 * @generated
	 */
	EAttribute getTimeSR_ServiceDistr();

	/**
	 * Returns the meta object for the attribute list '{@link PMIF.TimeSR#getServiceParams <em>Service Params</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Service Params</em>'.
	 * @see PMIF.TimeSR#getServiceParams()
	 * @see #getTimeSR()
	 * @generated
	 */
	EAttribute getTimeSR_ServiceParams();

	/**
	 * Returns the meta object for the attribute '{@link PMIF.TimeSR#getTimeUnits <em>Time Units</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Time Units</em>'.
	 * @see PMIF.TimeSR#getTimeUnits()
	 * @see #getTimeSR()
	 * @generated
	 */
	EAttribute getTimeSR_TimeUnits();

	/**
	 * Returns the meta object for class '{@link PMIF.DemandSR <em>Demand SR</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Demand SR</em>'.
	 * @see PMIF.DemandSR
	 * @generated
	 */
	EClass getDemandSR();

	/**
	 * Returns the meta object for the attribute '{@link PMIF.DemandSR#getServiceDemand <em>Service Demand</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Service Demand</em>'.
	 * @see PMIF.DemandSR#getServiceDemand()
	 * @see #getDemandSR()
	 * @generated
	 */
	EAttribute getDemandSR_ServiceDemand();

	/**
	 * Returns the meta object for the attribute '{@link PMIF.DemandSR#getTimeUnits <em>Time Units</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Time Units</em>'.
	 * @see PMIF.DemandSR#getTimeUnits()
	 * @see #getDemandSR()
	 * @generated
	 */
	EAttribute getDemandSR_TimeUnits();

	/**
	 * Returns the meta object for class '{@link PMIF.Arc <em>Arc</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Arc</em>'.
	 * @see PMIF.Arc
	 * @generated
	 */
	EClass getArc();

	/**
	 * Returns the meta object for the reference '{@link PMIF.Arc#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Source</em>'.
	 * @see PMIF.Arc#getSource()
	 * @see #getArc()
	 * @generated
	 */
	EReference getArc_Source();

	/**
	 * Returns the meta object for the reference '{@link PMIF.Arc#getTarget <em>Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Target</em>'.
	 * @see PMIF.Arc#getTarget()
	 * @see #getArc()
	 * @generated
	 */
	EReference getArc_Target();

	/**
	 * Returns the meta object for enum '{@link PMIF.SchedulingPolicy <em>Scheduling Policy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Scheduling Policy</em>'.
	 * @see PMIF.SchedulingPolicy
	 * @generated
	 */
	EEnum getSchedulingPolicy();

	/**
	 * Returns the meta object for enum '{@link PMIF.TimeUnits <em>Time Units</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Time Units</em>'.
	 * @see PMIF.TimeUnits
	 * @generated
	 */
	EEnum getTimeUnits();

	/**
	 * Returns the meta object for enum '{@link PMIF.ProbDistributions <em>Prob Distributions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Prob Distributions</em>'.
	 * @see PMIF.ProbDistributions
	 * @generated
	 */
	EEnum getProbDistributions();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	PMIFFactory getPMIFFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link PMIF.impl.QueuingNetworkModelImpl <em>Queuing Network Model</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see PMIF.impl.QueuingNetworkModelImpl
		 * @see PMIF.impl.PMIFPackageImpl#getQueuingNetworkModel()
		 * @generated
		 */
		EClass QUEUING_NETWORK_MODEL = eINSTANCE.getQueuingNetworkModel();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute QUEUING_NETWORK_MODEL__NAME = eINSTANCE.getQueuingNetworkModel_Name();

		/**
		 * The meta object literal for the '<em><b>Wls</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference QUEUING_NETWORK_MODEL__WLS = eINSTANCE.getQueuingNetworkModel_Wls();

		/**
		 * The meta object literal for the '<em><b>Nds</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference QUEUING_NETWORK_MODEL__NDS = eINSTANCE.getQueuingNetworkModel_Nds();

		/**
		 * The meta object literal for the '<em><b>Description</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute QUEUING_NETWORK_MODEL__DESCRIPTION = eINSTANCE.getQueuingNetworkModel_Description();

		/**
		 * The meta object literal for the '<em><b>Date Time</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute QUEUING_NETWORK_MODEL__DATE_TIME = eINSTANCE.getQueuingNetworkModel_DateTime();

		/**
		 * The meta object literal for the '<em><b>Srv Rqsts</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference QUEUING_NETWORK_MODEL__SRV_RQSTS = eINSTANCE.getQueuingNetworkModel_SrvRqsts();

		/**
		 * The meta object literal for the '<em><b>Arc</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference QUEUING_NETWORK_MODEL__ARC = eINSTANCE.getQueuingNetworkModel_Arc();

		/**
		 * The meta object literal for the '{@link PMIF.impl.WorkloadImpl <em>Workload</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see PMIF.impl.WorkloadImpl
		 * @see PMIF.impl.PMIFPackageImpl#getWorkload()
		 * @generated
		 */
		EClass WORKLOAD = eINSTANCE.getWorkload();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WORKLOAD__NAME = eINSTANCE.getWorkload_Name();

		/**
		 * The meta object literal for the '<em><b>Time Units</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WORKLOAD__TIME_UNITS = eINSTANCE.getWorkload_TimeUnits();

		/**
		 * The meta object literal for the '{@link PMIF.impl.OpenWorkloadImpl <em>Open Workload</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see PMIF.impl.OpenWorkloadImpl
		 * @see PMIF.impl.PMIFPackageImpl#getOpenWorkload()
		 * @generated
		 */
		EClass OPEN_WORKLOAD = eINSTANCE.getOpenWorkload();

		/**
		 * The meta object literal for the '<em><b>Arrival Distr</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute OPEN_WORKLOAD__ARRIVAL_DISTR = eINSTANCE.getOpenWorkload_ArrivalDistr();

		/**
		 * The meta object literal for the '<em><b>Arrival Params</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute OPEN_WORKLOAD__ARRIVAL_PARAMS = eINSTANCE.getOpenWorkload_ArrivalParams();

		/**
		 * The meta object literal for the '<em><b>Arrives At</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference OPEN_WORKLOAD__ARRIVES_AT = eINSTANCE.getOpenWorkload_ArrivesAt();

		/**
		 * The meta object literal for the '<em><b>Departs At</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference OPEN_WORKLOAD__DEPARTS_AT = eINSTANCE.getOpenWorkload_DepartsAt();

		/**
		 * The meta object literal for the '<em><b>Transit To</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute OPEN_WORKLOAD__TRANSIT_TO = eINSTANCE.getOpenWorkload_TransitTo();

		/**
		 * The meta object literal for the '<em><b>Transit Probs</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute OPEN_WORKLOAD__TRANSIT_PROBS = eINSTANCE.getOpenWorkload_TransitProbs();

		/**
		 * The meta object literal for the '{@link PMIF.impl.ClosedWorkloadImpl <em>Closed Workload</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see PMIF.impl.ClosedWorkloadImpl
		 * @see PMIF.impl.PMIFPackageImpl#getClosedWorkload()
		 * @generated
		 */
		EClass CLOSED_WORKLOAD = eINSTANCE.getClosedWorkload();

		/**
		 * The meta object literal for the '<em><b>Jobs Number</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CLOSED_WORKLOAD__JOBS_NUMBER = eINSTANCE.getClosedWorkload_JobsNumber();

		/**
		 * The meta object literal for the '<em><b>Think Distr</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CLOSED_WORKLOAD__THINK_DISTR = eINSTANCE.getClosedWorkload_ThinkDistr();

		/**
		 * The meta object literal for the '<em><b>Think Device</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CLOSED_WORKLOAD__THINK_DEVICE = eINSTANCE.getClosedWorkload_ThinkDevice();

		/**
		 * The meta object literal for the '<em><b>Think Params</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CLOSED_WORKLOAD__THINK_PARAMS = eINSTANCE.getClosedWorkload_ThinkParams();

		/**
		 * The meta object literal for the '<em><b>Transit To</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CLOSED_WORKLOAD__TRANSIT_TO = eINSTANCE.getClosedWorkload_TransitTo();

		/**
		 * The meta object literal for the '<em><b>Transit Probs</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CLOSED_WORKLOAD__TRANSIT_PROBS = eINSTANCE.getClosedWorkload_TransitProbs();

		/**
		 * The meta object literal for the '<em><b>Central Srv</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CLOSED_WORKLOAD__CENTRAL_SRV = eINSTANCE.getClosedWorkload_CentralSrv();

		/**
		 * The meta object literal for the '{@link PMIF.impl.SinkNodeImpl <em>Sink Node</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see PMIF.impl.SinkNodeImpl
		 * @see PMIF.impl.PMIFPackageImpl#getSinkNode()
		 * @generated
		 */
		EClass SINK_NODE = eINSTANCE.getSinkNode();

		/**
		 * The meta object literal for the '{@link PMIF.impl.SourceNodeImpl <em>Source Node</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see PMIF.impl.SourceNodeImpl
		 * @see PMIF.impl.PMIFPackageImpl#getSourceNode()
		 * @generated
		 */
		EClass SOURCE_NODE = eINSTANCE.getSourceNode();

		/**
		 * The meta object literal for the '{@link PMIF.impl.NodeImpl <em>Node</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see PMIF.impl.NodeImpl
		 * @see PMIF.impl.PMIFPackageImpl#getNode()
		 * @generated
		 */
		EClass NODE = eINSTANCE.getNode();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute NODE__NAME = eINSTANCE.getNode_Name();

		/**
		 * The meta object literal for the '{@link PMIF.impl.ServerImpl <em>Server</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see PMIF.impl.ServerImpl
		 * @see PMIF.impl.PMIFPackageImpl#getServer()
		 * @generated
		 */
		EClass SERVER = eINSTANCE.getServer();

		/**
		 * The meta object literal for the '<em><b>Quantity</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SERVER__QUANTITY = eINSTANCE.getServer_Quantity();

		/**
		 * The meta object literal for the '<em><b>Sched Pol</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SERVER__SCHED_POL = eINSTANCE.getServer_SchedPol();

		/**
		 * The meta object literal for the '{@link PMIF.impl.WorkUnitServerImpl <em>Work Unit Server</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see PMIF.impl.WorkUnitServerImpl
		 * @see PMIF.impl.PMIFPackageImpl#getWorkUnitServer()
		 * @generated
		 */
		EClass WORK_UNIT_SERVER = eINSTANCE.getWorkUnitServer();

		/**
		 * The meta object literal for the '<em><b>Service Distr</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WORK_UNIT_SERVER__SERVICE_DISTR = eINSTANCE.getWorkUnitServer_ServiceDistr();

		/**
		 * The meta object literal for the '<em><b>Service Params</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WORK_UNIT_SERVER__SERVICE_PARAMS = eINSTANCE.getWorkUnitServer_ServiceParams();

		/**
		 * The meta object literal for the '<em><b>Time Units</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute WORK_UNIT_SERVER__TIME_UNITS = eINSTANCE.getWorkUnitServer_TimeUnits();

		/**
		 * The meta object literal for the '{@link PMIF.impl.NonServerNodeImpl <em>Non Server Node</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see PMIF.impl.NonServerNodeImpl
		 * @see PMIF.impl.PMIFPackageImpl#getNonServerNode()
		 * @generated
		 */
		EClass NON_SERVER_NODE = eINSTANCE.getNonServerNode();

		/**
		 * The meta object literal for the '{@link PMIF.impl.ServiceRequestImpl <em>Service Request</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see PMIF.impl.ServiceRequestImpl
		 * @see PMIF.impl.PMIFPackageImpl#getServiceRequest()
		 * @generated
		 */
		EClass SERVICE_REQUEST = eINSTANCE.getServiceRequest();

		/**
		 * The meta object literal for the '<em><b>Number Of Visits</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SERVICE_REQUEST__NUMBER_OF_VISITS = eINSTANCE.getServiceRequest_NumberOfVisits();

		/**
		 * The meta object literal for the '<em><b>Srv</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SERVICE_REQUEST__SRV = eINSTANCE.getServiceRequest_Srv();

		/**
		 * The meta object literal for the '<em><b>Wld</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SERVICE_REQUEST__WLD = eINSTANCE.getServiceRequest_Wld();

		/**
		 * The meta object literal for the '<em><b>Transit To</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SERVICE_REQUEST__TRANSIT_TO = eINSTANCE.getServiceRequest_TransitTo();

		/**
		 * The meta object literal for the '<em><b>Transit Probs</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SERVICE_REQUEST__TRANSIT_PROBS = eINSTANCE.getServiceRequest_TransitProbs();

		/**
		 * The meta object literal for the '{@link PMIF.impl.WorkUnitSRImpl <em>Work Unit SR</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see PMIF.impl.WorkUnitSRImpl
		 * @see PMIF.impl.PMIFPackageImpl#getWorkUnitSR()
		 * @generated
		 */
		EClass WORK_UNIT_SR = eINSTANCE.getWorkUnitSR();

		/**
		 * The meta object literal for the '{@link PMIF.impl.TimeSRImpl <em>Time SR</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see PMIF.impl.TimeSRImpl
		 * @see PMIF.impl.PMIFPackageImpl#getTimeSR()
		 * @generated
		 */
		EClass TIME_SR = eINSTANCE.getTimeSR();

		/**
		 * The meta object literal for the '<em><b>Service Distr</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TIME_SR__SERVICE_DISTR = eINSTANCE.getTimeSR_ServiceDistr();

		/**
		 * The meta object literal for the '<em><b>Service Params</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TIME_SR__SERVICE_PARAMS = eINSTANCE.getTimeSR_ServiceParams();

		/**
		 * The meta object literal for the '<em><b>Time Units</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TIME_SR__TIME_UNITS = eINSTANCE.getTimeSR_TimeUnits();

		/**
		 * The meta object literal for the '{@link PMIF.impl.DemandSRImpl <em>Demand SR</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see PMIF.impl.DemandSRImpl
		 * @see PMIF.impl.PMIFPackageImpl#getDemandSR()
		 * @generated
		 */
		EClass DEMAND_SR = eINSTANCE.getDemandSR();

		/**
		 * The meta object literal for the '<em><b>Service Demand</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DEMAND_SR__SERVICE_DEMAND = eINSTANCE.getDemandSR_ServiceDemand();

		/**
		 * The meta object literal for the '<em><b>Time Units</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DEMAND_SR__TIME_UNITS = eINSTANCE.getDemandSR_TimeUnits();

		/**
		 * The meta object literal for the '{@link PMIF.impl.ArcImpl <em>Arc</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see PMIF.impl.ArcImpl
		 * @see PMIF.impl.PMIFPackageImpl#getArc()
		 * @generated
		 */
		EClass ARC = eINSTANCE.getArc();

		/**
		 * The meta object literal for the '<em><b>Source</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ARC__SOURCE = eINSTANCE.getArc_Source();

		/**
		 * The meta object literal for the '<em><b>Target</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ARC__TARGET = eINSTANCE.getArc_Target();

		/**
		 * The meta object literal for the '{@link PMIF.SchedulingPolicy <em>Scheduling Policy</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see PMIF.SchedulingPolicy
		 * @see PMIF.impl.PMIFPackageImpl#getSchedulingPolicy()
		 * @generated
		 */
		EEnum SCHEDULING_POLICY = eINSTANCE.getSchedulingPolicy();

		/**
		 * The meta object literal for the '{@link PMIF.TimeUnits <em>Time Units</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see PMIF.TimeUnits
		 * @see PMIF.impl.PMIFPackageImpl#getTimeUnits()
		 * @generated
		 */
		EEnum TIME_UNITS = eINSTANCE.getTimeUnits();

		/**
		 * The meta object literal for the '{@link PMIF.ProbDistributions <em>Prob Distributions</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see PMIF.ProbDistributions
		 * @see PMIF.impl.PMIFPackageImpl#getProbDistributions()
		 * @generated
		 */
		EEnum PROB_DISTRIBUTIONS = eINSTANCE.getProbDistributions();

	}

} //PMIFPackage
