/**
 */
package PMIF.impl;

import PMIF.OpenWorkload;
import PMIF.PMIFPackage;
import PMIF.ProbDistributions;
import PMIF.SinkNode;
import PMIF.SourceNode;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;

import org.eclipse.emf.ecore.util.EDataTypeEList;
import org.eclipse.emf.ecore.util.EDataTypeUniqueEList;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Open Workload</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link PMIF.impl.OpenWorkloadImpl#getArrivalDistr <em>Arrival Distr</em>}</li>
 *   <li>{@link PMIF.impl.OpenWorkloadImpl#getArrivalParams <em>Arrival Params</em>}</li>
 *   <li>{@link PMIF.impl.OpenWorkloadImpl#getArrivesAt <em>Arrives At</em>}</li>
 *   <li>{@link PMIF.impl.OpenWorkloadImpl#getDepartsAt <em>Departs At</em>}</li>
 *   <li>{@link PMIF.impl.OpenWorkloadImpl#getTransitTo <em>Transit To</em>}</li>
 *   <li>{@link PMIF.impl.OpenWorkloadImpl#getTransitProbs <em>Transit Probs</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class OpenWorkloadImpl extends WorkloadImpl implements OpenWorkload {
	/**
	 * The default value of the '{@link #getArrivalDistr() <em>Arrival Distr</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getArrivalDistr()
	 * @generated
	 * @ordered
	 */
	protected static final ProbDistributions ARRIVAL_DISTR_EDEFAULT = ProbDistributions.CONSTANT;

	/**
	 * The cached value of the '{@link #getArrivalDistr() <em>Arrival Distr</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getArrivalDistr()
	 * @generated
	 * @ordered
	 */
	protected ProbDistributions arrivalDistr = ARRIVAL_DISTR_EDEFAULT;

	/**
	 * The cached value of the '{@link #getArrivalParams() <em>Arrival Params</em>}' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getArrivalParams()
	 * @generated
	 * @ordered
	 */
	protected EList<Double> arrivalParams;

	/**
	 * The cached value of the '{@link #getArrivesAt() <em>Arrives At</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getArrivesAt()
	 * @generated
	 * @ordered
	 */
	protected SourceNode arrivesAt;

	/**
	 * The cached value of the '{@link #getDepartsAt() <em>Departs At</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDepartsAt()
	 * @generated
	 * @ordered
	 */
	protected SinkNode departsAt;

	/**
	 * The cached value of the '{@link #getTransitTo() <em>Transit To</em>}' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTransitTo()
	 * @generated
	 * @ordered
	 */
	protected EList<String> transitTo;

	/**
	 * The cached value of the '{@link #getTransitProbs() <em>Transit Probs</em>}' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTransitProbs()
	 * @generated
	 * @ordered
	 */
	protected EList<Double> transitProbs;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected OpenWorkloadImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return PMIFPackage.Literals.OPEN_WORKLOAD;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ProbDistributions getArrivalDistr() {
		return arrivalDistr;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setArrivalDistr(ProbDistributions newArrivalDistr) {
		ProbDistributions oldArrivalDistr = arrivalDistr;
		arrivalDistr = newArrivalDistr == null ? ARRIVAL_DISTR_EDEFAULT : newArrivalDistr;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PMIFPackage.OPEN_WORKLOAD__ARRIVAL_DISTR, oldArrivalDistr, arrivalDistr));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<Double> getArrivalParams() {
		if (arrivalParams == null) {
			arrivalParams = new EDataTypeEList<Double>(Double.class, this, PMIFPackage.OPEN_WORKLOAD__ARRIVAL_PARAMS);
		}
		return arrivalParams;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SourceNode getArrivesAt() {
		if (arrivesAt != null && arrivesAt.eIsProxy()) {
			InternalEObject oldArrivesAt = (InternalEObject)arrivesAt;
			arrivesAt = (SourceNode)eResolveProxy(oldArrivesAt);
			if (arrivesAt != oldArrivesAt) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PMIFPackage.OPEN_WORKLOAD__ARRIVES_AT, oldArrivesAt, arrivesAt));
			}
		}
		return arrivesAt;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SourceNode basicGetArrivesAt() {
		return arrivesAt;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setArrivesAt(SourceNode newArrivesAt) {
		SourceNode oldArrivesAt = arrivesAt;
		arrivesAt = newArrivesAt;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PMIFPackage.OPEN_WORKLOAD__ARRIVES_AT, oldArrivesAt, arrivesAt));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SinkNode getDepartsAt() {
		if (departsAt != null && departsAt.eIsProxy()) {
			InternalEObject oldDepartsAt = (InternalEObject)departsAt;
			departsAt = (SinkNode)eResolveProxy(oldDepartsAt);
			if (departsAt != oldDepartsAt) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, PMIFPackage.OPEN_WORKLOAD__DEPARTS_AT, oldDepartsAt, departsAt));
			}
		}
		return departsAt;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SinkNode basicGetDepartsAt() {
		return departsAt;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDepartsAt(SinkNode newDepartsAt) {
		SinkNode oldDepartsAt = departsAt;
		departsAt = newDepartsAt;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, PMIFPackage.OPEN_WORKLOAD__DEPARTS_AT, oldDepartsAt, departsAt));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<String> getTransitTo() {
		if (transitTo == null) {
			transitTo = new EDataTypeUniqueEList<String>(String.class, this, PMIFPackage.OPEN_WORKLOAD__TRANSIT_TO);
		}
		return transitTo;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<Double> getTransitProbs() {
		if (transitProbs == null) {
			transitProbs = new EDataTypeUniqueEList<Double>(Double.class, this, PMIFPackage.OPEN_WORKLOAD__TRANSIT_PROBS);
		}
		return transitProbs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case PMIFPackage.OPEN_WORKLOAD__ARRIVAL_DISTR:
				return getArrivalDistr();
			case PMIFPackage.OPEN_WORKLOAD__ARRIVAL_PARAMS:
				return getArrivalParams();
			case PMIFPackage.OPEN_WORKLOAD__ARRIVES_AT:
				if (resolve) return getArrivesAt();
				return basicGetArrivesAt();
			case PMIFPackage.OPEN_WORKLOAD__DEPARTS_AT:
				if (resolve) return getDepartsAt();
				return basicGetDepartsAt();
			case PMIFPackage.OPEN_WORKLOAD__TRANSIT_TO:
				return getTransitTo();
			case PMIFPackage.OPEN_WORKLOAD__TRANSIT_PROBS:
				return getTransitProbs();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case PMIFPackage.OPEN_WORKLOAD__ARRIVAL_DISTR:
				setArrivalDistr((ProbDistributions)newValue);
				return;
			case PMIFPackage.OPEN_WORKLOAD__ARRIVAL_PARAMS:
				getArrivalParams().clear();
				getArrivalParams().addAll((Collection<? extends Double>)newValue);
				return;
			case PMIFPackage.OPEN_WORKLOAD__ARRIVES_AT:
				setArrivesAt((SourceNode)newValue);
				return;
			case PMIFPackage.OPEN_WORKLOAD__DEPARTS_AT:
				setDepartsAt((SinkNode)newValue);
				return;
			case PMIFPackage.OPEN_WORKLOAD__TRANSIT_TO:
				getTransitTo().clear();
				getTransitTo().addAll((Collection<? extends String>)newValue);
				return;
			case PMIFPackage.OPEN_WORKLOAD__TRANSIT_PROBS:
				getTransitProbs().clear();
				getTransitProbs().addAll((Collection<? extends Double>)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case PMIFPackage.OPEN_WORKLOAD__ARRIVAL_DISTR:
				setArrivalDistr(ARRIVAL_DISTR_EDEFAULT);
				return;
			case PMIFPackage.OPEN_WORKLOAD__ARRIVAL_PARAMS:
				getArrivalParams().clear();
				return;
			case PMIFPackage.OPEN_WORKLOAD__ARRIVES_AT:
				setArrivesAt((SourceNode)null);
				return;
			case PMIFPackage.OPEN_WORKLOAD__DEPARTS_AT:
				setDepartsAt((SinkNode)null);
				return;
			case PMIFPackage.OPEN_WORKLOAD__TRANSIT_TO:
				getTransitTo().clear();
				return;
			case PMIFPackage.OPEN_WORKLOAD__TRANSIT_PROBS:
				getTransitProbs().clear();
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case PMIFPackage.OPEN_WORKLOAD__ARRIVAL_DISTR:
				return arrivalDistr != ARRIVAL_DISTR_EDEFAULT;
			case PMIFPackage.OPEN_WORKLOAD__ARRIVAL_PARAMS:
				return arrivalParams != null && !arrivalParams.isEmpty();
			case PMIFPackage.OPEN_WORKLOAD__ARRIVES_AT:
				return arrivesAt != null;
			case PMIFPackage.OPEN_WORKLOAD__DEPARTS_AT:
				return departsAt != null;
			case PMIFPackage.OPEN_WORKLOAD__TRANSIT_TO:
				return transitTo != null && !transitTo.isEmpty();
			case PMIFPackage.OPEN_WORKLOAD__TRANSIT_PROBS:
				return transitProbs != null && !transitProbs.isEmpty();
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (arrivalDistr: ");
		result.append(arrivalDistr);
		result.append(", arrivalParams: ");
		result.append(arrivalParams);
		result.append(", transitTo: ");
		result.append(transitTo);
		result.append(", transitProbs: ");
		result.append(transitProbs);
		result.append(')');
		return result.toString();
	}

} //OpenWorkloadImpl
