package Test;

import java.io.File;
import java.util.Collections;

import org.eclipse.emf.common.util.URI;
import org.eclipse.emf.ecore.resource.Resource;
import org.eclipse.emf.ecore.resource.ResourceSet;
import org.eclipse.emf.ecore.resource.impl.ResourceFactoryRegistryImpl;
import org.eclipse.emf.ecore.resource.impl.ResourceSetImpl;
import org.eclipse.emf.ecore.xmi.impl.XMIResourceFactoryImpl;

import tools.CaexPreprocessor;
import tools.CaexSerializer;
import tools.FileSystemParser;
import tools.ModeLinkTools;
import CAEX.impl.CAEXFactoryImpl;
//import CAEX.util.CAEXResourceFactoryImpl;
import LinkingModel.LinkingGroup;
import LinkingModel.LinkingModelFactory;

public class Run {
	
	//ProjectName (for ModelLink pathname)
	private static final String projectName = "/PmifCaexLinker";
	
	//Input-Paths
	private static final String folder = "ModbusExample";
	private static final String amlFile = "ModbusExample/Role Plant Planner/Plant Topology/Topology.aml";
	
	//Output_Paths
	private static final String leftModel = "output/treeView.xmi";
	private static final String rightModel = "output/topology.xmi";
	private static final String linkModel = "output/generatedLinkModel.xmi";
	private static final String modeLink = "output/mechanicalEngineer.modelink";
	

	public static void main(String[] args) throws Exception {

		//Serialize AML file
		ResourceSet resourceSet = null;
		resourceSet = new ResourceSetImpl();
		ResourceFactoryRegistryImpl.INSTANCE.getExtensionToFactoryMap()
			.put("aml", new CAEXFactoryImpl());
	
		ResourceFactoryRegistryImpl.INSTANCE.getExtensionToFactoryMap()
			.put("xmi", new XMIResourceFactoryImpl());
		
		File xmlFile = new File(amlFile);
		CaexPreprocessor.removeAdditionalInformation(amlFile);
		CaexSerializer serializer = new CaexSerializer();
		serializer.writeXMI(xmlFile, resourceSet, rightModel);
		
		//generate Model from filesystem
		FileSystemParser.generateModel(folder,leftModel);
		
		//create link Model
//	    ResourceSet resSet = new ResourceSetImpl();
//		LinkingModelFactory lmFactory = LinkingModelFactory.eINSTANCE;
//		LinkingGroup linkingGroup = lmFactory.createLinkingGroup();
//	    Resource resource = resSet.createResource(URI.createURI(linkModel));
//	    resource.getContents().add(linkingGroup);
//	    resource.save(Collections.EMPTY_MAP);
//		
//	    //create ModeLink File
//		ModeLinkTools.createModeLink(projectName+"/"+leftModel, projectName+"/"+linkModel, projectName+"/"+rightModel, modeLink);
//		System.out.println("Generated ModeLink: " + modeLink);
		
	}

}
