package tools;

import java.io.File;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerConfigurationException;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

public class ModeLinkTools {
	
	public static void createModeLink(String leftPath, String midPath, String rightPath, String filePath){

//EXAMPLE:
//		<?xml version="1.0" encoding="UTF-8"?>
//		<modelink threeWay="true" forceExeedL="true" forceExeedM="true" forceExeedR="true">
//		  <model path="\ModeLinkWorkingCopy\output\fs2.xmi" position="LEFT" />
//		  <model path="\ModeLinkWorkingCopy\output\linkModel.xmi" position="MIDDLE" />
//		  <model path="\ModeLinkWorkingCopy\output\amlfile_Example_Production_system.xmi" position="RIGHT" />
//		</modelink>

		try {
			
			DocumentBuilderFactory docFactory = DocumentBuilderFactory.newInstance();
			DocumentBuilder docBuilder;
			
			docBuilder = docFactory.newDocumentBuilder();
				 
			// root element
			Document doc = docBuilder.newDocument();
			Element rootElement = doc.createElement("modelink");
			rootElement.setAttribute("threeWay", "true");
			rootElement.setAttribute("forceExeedL", "true");
			rootElement.setAttribute("forceExeedM", "true");
			rootElement.setAttribute("forceExeedR", "true");
			doc.appendChild(rootElement);
	 
			// model elements
			Element modelL = doc.createElement("model");
			modelL.setAttribute("path", leftPath);
			modelL.setAttribute("position", "LEFT");
			rootElement.appendChild(modelL);
			
			Element modelM = doc.createElement("model");
			modelM.setAttribute("path", midPath);
			modelM.setAttribute("position", "MIDDLE");
			rootElement.appendChild(modelM);
			
			Element modelR = doc.createElement("model");
			modelR.setAttribute("path", rightPath);
			modelR.setAttribute("position", "RIGHT");
			rootElement.appendChild(modelR);
			
			// write the content into xml file
			TransformerFactory transformerFactory = TransformerFactory.newInstance();
			Transformer transformer = transformerFactory.newTransformer();
			DOMSource source = new DOMSource(doc);
			StreamResult result = new StreamResult(new File(filePath));
			
			transformer.transform(source, result);
			
			
		} catch (ParserConfigurationException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (TransformerConfigurationException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (TransformerException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

	}

}
